Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591131 - Kerberos provider needs to rewrite kdcinfo file when going online
Summary: Kerberos provider needs to rewrite kdcinfo file when going online
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 14:04 UTC by Jenny Galipeau
Modified: 2015-01-04 23:42 UTC (History)
4 users (show)

Fixed In Version: sssd-1.2.0-12.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:39:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jenny Galipeau 2010-05-11 14:04:40 UTC
Description of problem:
The ability to write the kdcinfo file with a default (unreachable) IP address when the KDC can't be reached at startup was recently implemented.

However, the side-effect of this is that the KDC can thereafter not be reached by any application seeking to use it until an SSSD-provided kerberos login is performed.

    We should add an online callback to forcibly invoke be_resolve_server_send() to ensure that this file gets rewritten as soon as we are online.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 RHEL Product and Program Management 2010-05-11 15:33:46 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Gowrishankar Rajaiyan 2010-07-27 12:16:33 UTC
/var/lib/sss/pubconf/kdcinfo.REALM file gets removed and re-created successfully as soon as SSSD is restarted.

Verified. Version sssd-1.2.1-21.

Comment 7 releng-rhel@redhat.com 2010-11-10 21:39:37 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.